Page MenuHomePhabricator

Incorporate winter into vector
Open, LowestPublic

Description

Vector is modern but does not look as nice as winter does.

The features that I think would be good is

  • It has a fixed header with search.
  • It has a compact user menu bar with icons.
  • It also improve mobile user face. ( Should be included in the disable vector mobile conifg)

Steps to reproduce

Actual results

  • Vector looks really outdated so we should update it, to have a more user like interface.

Expected results

  • By including some of winter in vector we will make the skin modern.

*The sidebar can stay the way it is no need to put it in the right like the image shows. We just need to update the top parts including possibly adding a compact user bar.

  • We can also make the footer a dark grey like it was in winter which used snowflake.

See https://www.mediawiki.org/wiki/Winter

Details

Related Gerrit Patches:
mediawiki/skins/Vector : master[BREAKING CHANGE] Redesgn of vector

Event Timeline

Paladox created this task.Mar 5 2016, 5:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2016, 5:03 PM
Paladox added a comment.EditedMar 5 2016, 5:06 PM

This proposal would be a redesign of vector because it would make vector look different then it does.

Yes winter is discontinued but we are not brining that back we are just using the features that were really good.

I also know that uls did not work well we could work on that by making the change use a config so we use the old desgn by default and allow users to enable it through preference or admin can enable it global wide using the config.

This update will also update the responsive skin to.

This task is primarily opinion-based: terms like "modern" or "outdated" provide no argumentation.
Please rephrase the task description and only provide specific, isolated functionality aspects (and real use cases) that you are missing in Vector (and whether Winter actually provides them).
A request to completely "incorporate the winter skin into the vector skin" feels invalid by definition, as "replace vector by winter" would mean the same.

Paladox updated the task description. (Show Details)Mar 5 2016, 7:29 PM

Change 275206 had a related patch set uploaded (by Paladox):
[BREAKING CHANGE] Redesgn of vector

https://gerrit.wikimedia.org/r/275206

Ricordisamoa renamed this task from Incorperate winter into vector to Incorporate winter into vector.Mar 5 2016, 8:11 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Paladox updated the task description. (Show Details)Mar 6 2016, 12:31 PM
Edokter added a subscriber: Edokter.Mar 6 2016, 2:26 PM

@Edokter would you know what name we could give the new skin. Maybe VectorV2 or Vector2

I will call it VectorV2 but the name can always been changed if you have a better name.

Please fix the task summary and task description accordingly.

@Aklapper I have fixed the description.

bd808 triaged this task as Low priority.Mar 7 2016, 5:58 PM
Majr added a subscriber: Majr.Mar 23 2016, 8:02 AM

I don't think a new project cloning Vector should've been made for this (especially as this task as currently stated is invalid), not only are all Vector commit links without a project specified now broken (8a09ba2014e6 used to link to rSVEC8a09ba2014e6) due to the duplicate commit IDs, but this is exactly what branches exist for: to work on a set of changes separately from the main branch, to be merged in later.
Frankly, I don't know if it even needs a separate branch. You can work on implementing features from Winter (a nice concept, I agree) individually, it doesn't all need to be done in one go. Separate tasks blocking this one should be created suggesting the individual features to be implemented.

Isarra added a subscriber: Isarra.Apr 7 2016, 12:54 AM
Isarra moved this task from Backlog to Tabs and Menus on the Vector board.Apr 7 2016, 12:56 AM
Aklapper lowered the priority of this task from Low to Lowest.May 4 2016, 11:44 AM

Change 275206 abandoned by Paladox:
[BREAKING CHANGE] Redesgn of vector

https://gerrit.wikimedia.org/r/275206